#!/usr/bin/sh
/usr/syno/bin/synopkg status ActiveBackup
if [ $? -ne 0 ]; then #package is disable, just skip
	exit 0
fi

get_restore_type()
{
    JobDesc=$1
    /bin/echo ${JobDesc} | /bin/jq '.params.restore_type'
}

RESTORE_DEVICE=128
read_jobs=`/var/packages/ActiveBackup/target/bin/synoabk-jobctl list_read_job action=${RESTORE_DEVICE}`
while read -r line
do
	if [ -z "$line" ]
	then
		continue
	fi
	restoreType=$( get_restore_type "$line" )
	if [ "$restoreType" = "0" ] #instant restore
	then
		# deal with poweroff instant restore in poweroff_is_instant_restoring.sh
		exit 0
	fi
done <<< "${read_jobs}"

/var/packages/ActiveBackup/target/bin/synoabk-jobctl is_any_job_running
if [ $? -eq 0 ]; then #not in use by job
	exit 0
else
	echo "Active Backup for Business"
	exit 1
fi
